--
-- ͻ
--        D E S I G N   E N G I N E E R I N G            DS        
--             S O F T W A R E                           ͼ        
--                                                                    
--         QtOpenCVAda - Ada to Qt6 and OpenCV interface              
--                                                                    
--         Author :  Leonid Dulman     2021,2022                      
--  Copyright (C) 2014,2022                                           
-- ͼ
--
--   This library is free software; you can redistribute it and/or modify  *
--   it under the terms of the GNU Library General Public License as       *
--   published by the Free Software Foundation; either version 3 of the    *
--   License, or (at your option) any later version.                       *

package body Qt.QCVImgProc is

 procedure QCVImgProc_rectangle(frame:QCVMatH;rect:QCVRectH;color:QCVScalarH;thickness : integer :=  1;lineType : LineTypes :=  LINE_8;shift : integer :=  0) is
 begin
   QCVImgProc_rectangle2(frame,rect,color,thickness,lineType,shift);
 end;
  
 function  QCVImgProc_imread(fileName: QStringH;mode : Qt.OpenCV.ImreadModes) return QCVMatH is
 begin
   return  QCVImgProc_imread2(fileName,mode);
 end;

end;
