--
-- ͻ
--        D E S I G N   E N G I N E E R I N G            DS        
--             S O F T W A R E                           ͼ        
--                                                                    
--         QtOpenCVAda - Ada to Qt6 and OpenCV interface              
--                                                                    
--         Author :  Leonid Dulman     2021                           
--  Copyright (C) 2021                                                
-- ͼ
--
--   This library is free software; you can redistribute it and/or modify  *
--   it under the terms of the GNU Library General Public License as       *
--   published by the Free Software Foundation; either version 3 of the    *
--   License, or (at your option) any later version.                       *

with Qt.OpenCV; use Qt.OpenCV; 
package Qt.QOpenCVGL is

 function  QtOpenCVViewerGl_create(parent:QWidgetH := null) return QtOpenCVViewerGlH;
 pragma Import(C,QtOpenCVViewerGl_create, "QtOpenCVViewerGl_create");
 
 procedure QtOpenCVViewerGl_destroy(handle:not null QtOpenCVViewerGlH);
 pragma Import(C,QtOpenCVViewerGl_destroy, "QtOpenCVViewerGl_destroy");
 
 function  QtOpenCVViewerGl_qimage(handle:not null QtOpenCVViewerGlH;image:QCVMatH) return QImageH;
 pragma Import(C,QtOpenCVViewerGl_qimage, "QtOpenCVViewerGl_qimage");
 
 function  QtOpenCVViewerGl_showImage(handle:not null QtOpenCVViewerGlH;image:QCVMatH) return boolean;
 pragma Import(C,QtOpenCVViewerGl_showImage, "QtOpenCVViewerGl_showImage");
 
 procedure QtOpenCVViewerGl_updateScene(handle:not null QtOpenCVViewerGlH);
 pragma Import(C,QtOpenCVViewerGl_updateScene, "QtOpenCVViewerGl_updateScene");
 
 procedure QtOpenCVViewerGl_renderImage(handle:not null QtOpenCVViewerGlH);
 pragma Import(C,QtOpenCVViewerGl_renderImage, "QtOpenCVViewerGl_renderImage");
 
 procedure QtOpenCVViewerGl_signal_slot_imageSizeChanged(handle:not null QtOpenCVViewerGlH;hook:intIntCallbackH);
 pragma Import(C,QtOpenCVViewerGl_signal_slot_imageSizeChanged, "QtOpenCVViewerGl_signal_slot_imageSizeChanged");
 
 
end;
