--
-- ͻ
--        D E S I G N   E N G I N E E R I N G            DS        
--             S O F T W A R E                           ͼ        
--                                                                    
--         QtOpenCVAda - Ada to Qt6 and OpenCV interface              
--                                                                    
--         Author :  Leonid Dulman     2022                           
--  Copyright (C) 2021,2022                                           
-- ͼ
--
--   This library is free software; you can redistribute it and/or modify  *
--   it under the terms of the GNU Library General Public License as       *
--   published by the Free Software Foundation; either version 3 of the    *
--   License, or (at your option) any later version.                       *

with Qt.OpenCV; use Qt.OpenCV;
with VTK      ; use VTK;
package Qt.QVtkCV is

 procedure QVtkCV_Mat2VTK(src: not null QCVMatH;dst : not null vtkImageDataH);
 function  QVtkCV_VTK2Mat(handle: not null vtkImageDataH) return QCVMatH;
end;
