--
-- ͻ
--        D E S I G N   E N G I N E E R I N G            DS        
--             S O F T W A R E                           ͼ        
--                                                                    
--         QtOpenCVAda - Ada to Qt6 and OpenCV interface              
--                                                                    
--         Author :  Leonid Dulman     2021                           
--  Copyright (C) 2021                                                
-- ͼ
--
--   This library is free software; you can redistribute it and/or modify  *
--   it under the terms of the GNU Library General Public License as       *
--   published by the Free Software Foundation; either version 3 of the    *
--   License, or (at your option) any later version.                       *

package body Qt.QCVCascadeClassifier is

 
 function  QCVCascadeClassifier_create(fileName:QStringH) return QCVCascadeClassifierH is
 begin
   return  QCVCascadeClassifier_create2(fileName);
 end;

 procedure QCVCascadeClassifier_detectMultiScale(handle:not null QCVCascadeClassifierH;frame: QCVMatH;objects:QCVFacesH;numDetections:QCVLabelsH;scaleFactor:qreal := 1.1;minNeighbors:integer := 3;flags: integer := 0;minSize :QCVSizeH := QCVSize_create;maxSize :QCVSizeH := QCVSize_create) is
 begin
   QCVCascadeClassifier_detectMultiScale2(handle,frame,objects,numDetections,scaleFactor,minNeighbors,flags,minSize,maxSize);
 end;
 
 procedure QCVCascadeClassifier_detectMultiScale(handle:not null QCVCascadeClassifierH;frame:QCVMatH;objects:QCVFacesH;rejectLevels:QCVLabelsH;levelWeights: QCVWeightsH;scaleFactor :qreal :=  1.1;minNeighbors :integer :=  3;flags : integer :=  0;minSize :QCVSizeH := QCVSize_create;maxSize :QCVSizeH := QCVSize_create;outputRejectLevels : boolean :=  false ) is
 begin
   QCVCascadeClassifier_detectMultiScale3(handle,frame,objects,rejectLevels,levelWeights,scaleFactor,minNeighbors,flags,minSize,maxSize,outputRejectLevels);
 end;

end;
