--
-- ͻ
--        D E S I G N   E N G I N E E R I N G            DS        
--             S O F T W A R E                           ͼ        
--                                                                    
--         QtOpenCVAda - Ada to Qt6 and OpenCV interface              
--                                                                    
--         Author :  Leonid Dulman     2021                           
--  Copyright (C) 2021                                                
-- ͼ
--
--   This library is free software; you can redistribute it and/or modify  *
--   it under the terms of the GNU Library General Public License as       *
--   published by the Free Software Foundation; either version 3 of the    *
--   License, or (at your option) any later version.                       *

with Qt.OpenCV; use Qt.OpenCV;
package Qt.QCVFpsChecker is

 function  QCVFpsChecker_create return QCVFpsCheckerH;
 pragma Import(C,QCVFpsChecker_create, "QCVFpsChecker_create");
 
 procedure QCVFpsChecker_start(handle:not null QCVFpsCheckerH);
 pragma Import(C,QCVFpsChecker_start, "QCVFpsChecker_start");
 
 procedure QCVFpsChecker_stop(handle:not null QCVFpsCheckerH);
 pragma Import(C,QCVFpsChecker_stop, "QCVFpsChecker_stop");
 
 function  QCVFpsChecker_fps(handle:not null QCVFpsCheckerH) return integer;
 pragma Import(C,QCVFpsChecker_fps, "QCVFpsChecker_fps");
 
 procedure QCVFpsChecker_reset(handle:not null QCVFpsCheckerH);
 pragma Import(C,QCVFpsChecker_reset, "QCVFpsChecker_reset");
 
end;
